<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>pqs-energy</artifactId>
        <groupId>com.njcn</groupId>
        <version>1.0.0</version>
    </parent>


    <modelVersion>4.0.0</modelVersion>
    <artifactId>energy-boot</artifactId>
    <name>用能系统服务模块</name>
    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>energy-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>user-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>system-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>job-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-web</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-swagger</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-influxDB</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>13.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>job-api</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>

    <build>
        <finalName>energyboot</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>com.spotify</groupId>
                <artifactId>docker-maven-plugin</artifactId>
                <version>1.0.0</version>
                <executions>
                    <execution>
                        <id>build-image</id>
                        <phase>${docker.operate}</phase>
                        <goals>
                            <goal>build</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <!--<serverId>36dockerHarbor</serverId>-->
                    <registryUrl>http://${docker.repostory}</registryUrl>
                    <!-- 镜像名称 -->
                    <imageName>${docker.repostory}/${docker.registry.name}/${project.artifactId}</imageName>
                    <imageTags>
                        <imageTag>latest</imageTag>
                    </imageTags>
                    <dockerHost>${docker.url}</dockerHost>
                    <dockerDirectory>${basedir}/</dockerDirectory>
                    <resources>
                        <resource>
                            <targetPath>/ROOT</targetPath>
                            <directory>${project.build.directory}</directory>
                            <include>${project.build.finalName}.jar</include>
                        </resource>
                    </resources>
                </configuration>
            </plugin>

        </plugins>
    </build>

</project>
